Subject: linux-next: manual merge of the amdgpu tree with the drm-next tree

From: Thierry Reding <[email-masked]>
Date: Wed, 06 May 2026 11:54:22 +0200

Hi all,

Today's linux-next merge of the amdgpu tree got a conflict in:

  drivers/gpu/drm/amd/amdgpu/amdgpu_vkms.c

between commit:

  5164f7e7ff8e ("drm: Rename struct drm_atomic_state to drm_atomic_commit")

from the drm-next tree and commit:

  f86875a33984 ("drm/amdgpu: Replace VKMS vblank timer with common implementation")

from the amdgpu tree.

I fixed it up by using the version from the amdgpu tree, which already
contains a version of the commit from Linus' tree. This is now fixed as
far as linux-next is concerned, but any non trivial conflicts should be
mentioned to your upstream maintainer when your tree is submitted for
merging.  You may also want to consider cooperating with the maintainer
of the conflicting tree to minimise any particularly complex conflicts.